stages:
- set
- kickoff
- test

variables:
  MOUSE: Mickey

dotenv job:
  stage: set
  script:
  - echo "CAT=Hamilton" >> .env
  - echo "DOG=Pluto" >> .env
  - cat .env
  artifacts:
    reports:
      dotenv: .env
  except:
  - pipelines
  - parent_pipelines

trigger job:
  stage: kickoff
  variables:
    UPSTREAM_PIPELINE_ID: $CI_PIPELINE_ID
    CAT: $CAT
    # All Global Variables are passed downstream by default... so hypothetically
    # CAT and DOG (if they're considered global) should be passed.
  trigger: 
    include:
    - local: .gitlab-ci.yml
  needs:
  - job: 'dotenv job'
    artifacts: true
  except:
  - pipelines
  - parent_pipelines

verify dotenv:
  stage: kickoff
  script:
  - echo "kickoff"
  - echo $CAT
  - echo $DOG
  - echo $MOUSE
  - echo $CI_PIPELINE_ID
  needs:
  - job: 'dotenv job'
    artifacts: true
  except:
  - pipelines
  - parent_pipelines


child job:
  stage: test
  script:
  - echo "test"
  - echo $CAT
  - echo $DOG
  - echo $MOUSE
  - echo $UPSTREAM_PIPELINE_ID
  needs:
  - job: 'dotenv job'
    artifacts: true
  only:
  - pipelines
  - parent_pipelines
